Holger's Java API

## com.antelmann.ooffice
Enum AnchorType

    java.lang.Object
      java.lang.Enum<AnchorType>
          com.antelmann.ooffice.AnchorType

All Implemented Interfaces:
  Serializable, Comparable<AnchorType>

    public enum AnchorType

extends Enum<AnchorType>

specifies the anchor type for inserted objects like images

Author:
  Holger Antelmann

Enum Constant Summary
`AS_CHARACTER`
`AT_CHARACTER`
`AT_FRAME`
`AT_PAGE`
`AT_PARAGRAPH`

Method Summary
`Object` `getValue()`
`static AnchorType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AnchorType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AT_FRAME

    public static final AnchorType AT_FRAME

### AT_PAGE

    public static final AnchorType AT_PAGE

### AT_PARAGRAPH

    public static final AnchorType AT_PARAGRAPH

### AT_CHARACTER

    public static final AnchorType AT_CHARACTER

### AS_CHARACTER

    public static final AnchorType AS_CHARACTER

Method Detail

### values

    public static AnchorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AnchorType c : AnchorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AnchorType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getValue

    public Object getValue()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads